# RevelryAuth

Revelry Auth is an authentication and authorization engine that is fast and easy
to install.

## Installation

For a new app, run:

```shell
rails new APPNAME -m https://raw.githubusercontent.com/revelrylabs/revelry_auth/master/template.rb
```

For an existing app, add the gem to your Gemfile and then do

```shell
bundle install
rails g revelry:auth:install
```

## Extension & Customization

Revelry Auth is built on [Devise](https://github.com/plataformatec/devise),
[Rolify](https://github.com/RolifyCommunity/rolify) and
[Pundit](https://github.com/elabs/pundit), so you have access to all the
customization options those gems provide.
